Subject: re: attempt to compile x11r6.3 using b19
From: [email-masked] (Anil Kokaram)

21 May 1998 08:52:10 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

Hello all,

I have trawled the mailing list archives without success in answer to my
question, this could be because I have very little experience with gcc, make
etc.

I have been trying to compile the x11r6.3 release as per instructions on
point 3 of the list of ported software on the cygnus web site. So I
installed the patch and did the suggested software link for cc->gcc and
untarred xc-1.tar.gz only (obtained from the mit x site). (I have also
checked that patched files were indeed patched, and this seems to be so ...
although I did not do an exhaustive check).

However, after many hours (>2, <4) the make
completed, but I could not find a single object file anywhere. Furthermore,
runing install (make install) in the xc directory gave the following :
------------------------------------------------------------------
make -f xmakefile install
installing in ./include...
make[2]: *** No rule to make target `install'.  Stop.
installing in ./config...
make[2]: *** No rule to make target `install'.  Stop.
installing in ./lib...
make[2]: *** No rule to make target `install'.  Stop.
installing in ./nls...
make[2]: *** No rule to make target `install'.  Stop.
installing in ./programs...
make[2]: *** No rule to make target `install'.  Stop.
installing in ./doc...
cd: can't cd to doc
make[1]: *** [install] Error 2
make: *** [install] Error 2
---------------------------------------------------------
I noticed that during the initial making of the makefiles, there were many
messages like :
--------------------
make[4]: Nothing to be done for `Makefiles'.
making Makefiles in lib/font/fc...
 mv Makefile Makefile.bak
make[4]: Nothing to be done for `Makefiles'.
making Makefiles in lib/font/Speedo...
 mv Makefile Makefile.bak
make[4]
----------------------

it appears as if the make spent a long time repeating the making of files
and also there were a couple errors like :

----------------------------------
make[3]: Nothing to be done for `Makefiles'.
making Makefiles in doc...
cd: can't cd to doc
..././config/imake/imake: not found
make[2]: [doc/Makefile] Error 2 (ignored)
cd: can't cd to doc
make -f xmakefile Makefiles
making Makefiles in include
------------------------------------

Can aybody say whether I should have altered some files like site.def in the
xc-1.tar.gz distribution? Are there other defaults ofr gcc configuration
which I need to set other than what happens when the CDK is installed? Any
advice would be much appreciated.

Thanks,
Anil

Dr. Anil Kokaram      [email-masked]
Lecturer, Electrical and Electronic Engineering Dept.,
Trinity College,
Dublin 2, Republic of Ireland

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".